import 'package:me/extensions/string.dart';
import 'package:recase/recase.dart';

import '../../utils/utils.dart';
import '../create/create_file.dart';
import '../find_file/find_file_by_name.dart';

void addRoute({required String featureName}) {
  var routesFile = findFileByName('app_routes.dart');
  String content = formatterDartFile(routesFile.readAsStringSync());
  var declareRoute = 'static const ${featureName.camelCase} =';
  content = content.appendClassContent(
      'Routes', '$declareRoute _Paths.${featureName.camelCase};');
  content = content.appendClassContent(
      '_Paths', "$declareRoute '/${featureName.paramCase}';");
  writeFile(
    routesFile.path,
    content,
    overwrite: true,
    logger: false,
  );
  LogService.success('Route $featureName added to app_routes.dart');
}
