import 'package:recase/recase.dart';

import '../interface/sample_interface.dart';

/// [Sample] file from Binding file creation.
class BindingSample extends Sample {
  final String _fileName;

  BindingSample(
    String path,
    this._fileName, {
    bool overwrite = false,
  }) : super(path, overwrite: overwrite);

  @override
  String get content => '''
import 'package:mega_commons_dependencies/mega_commons_dependencies.dart';

import '../controllers/${_fileName}_controller.dart';

class ${_fileName.pascalCase}Binding extends Bindings {
  @override
  void dependencies() {
    Get.lazyPut<${_fileName.pascalCase}Controller>(
      () => ${_fileName.pascalCase}Controller(),
    );
  }
}
''';
}
