import 'package:recase/recase.dart';

import '../interface/sample_interface.dart';

/// [Sample] file from Screen file creation.
class ViewSample extends Sample {
  final String _fileName;

  ViewSample(
    String path,
    this._fileName, {
    bool overwrite = false,
  }) : super(path, overwrite: overwrite);

  @override
  String get content => '''import 'package:flutter/material.dart';
import 'package:mega_commons_dependencies/mega_commons_dependencies.dart';

import '../controllers/${_fileName}_controller.dart';

class ${_fileName.pascalCase}View extends GetView<${_fileName.pascalCase}Controller> {
  const ${_fileName.pascalCase}View({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('${_fileName.pascalCase}View'),
        centerTitle: true,
      ),
      body: const Center(
        child: Text(
          '${_fileName.pascalCase}View is working',
          style: TextStyle(fontSize: 20),
        ),
      ),
    );
  }
}''';
}
